Skip to main content

Gets line chart data for a device health variable

POST /v1/device/{deviceID}/health/linechart

Summary

Gets line chart data for a device health variable.

Details

Request body: JSON object with a variable name and optional epoch range,

count, and vertical line timestamps. Returns line chart data.

Authentication

No operation-level security requirement is documented here.

Parameters

NameInTypeRequiredDescriptionExample
deviceIDpathinteger (int64)YesThe ID of the device whose line chart data should be generated.1

Request Body

Required: Yes

application/json

  • startEpoch (integer (int64), optional)
  • endEpoch (integer (int64), optional)
  • count (integer (int64), optional)
  • variableName (string, optional)
  • verticalLineTimestamps (array<integer (int64)>, optional)
    • array of integer (int64)
      • integer (int64)

Example

{
"startEpoch": 1711800000,
"endEpoch": 1711800000,
"count": 25,
"variableName": "Example value",
"verticalLineTimestamps": [
1
]
}

Responses

200

Success

application/json

  • datasets (array<Dataset>, optional)
    • array of Dataset
      • label (string, optional)
      • data (array<DataPoint>, optional)
        • array of DataPoint
          • time (integer (int64), optional)
          • value (number (double), optional)
  • verticalLines (array<VerticalLine>, optional)
    • array of VerticalLine
      • timestamp (integer (int64), optional)
      • color (string, optional)

Example

{
"datasets": [
{
"label": "Example value",
"data": [
null
]
}
],
"verticalLines": [
{
"timestamp": 1,
"color": "Example value"
}
]
}